View a markdown version of this page

CreatePaymentInstrument - Amazon Bedrock AgentCore Data Plane

CreatePaymentInstrument

Create a new payment instrument for a connector.

Request Syntax

POST /payments/createPaymentInstrument HTTP/1.1 X-Amzn-Bedrock-AgentCore-Payments-User-Id: userId X-Amzn-Bedrock-AgentCore-Payments-Agent-Name: agentName Content-type: application/json { "clientToken": "string", "paymentConnectorId": "string", "paymentInstrumentDetails": { ... }, "paymentInstrumentType": "string", "paymentManagerArn": "string" }

URI Request Parameters

The request uses the following URI parameters.

agentName

The agent name associated with this request, used for observability.

Length Constraints: Minimum length of 0. Maximum length of 256.

userId

The user ID associated with this payment instrument.

Length Constraints: Minimum length of 0. Maximum length of 120.

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.

Type: String

Length Constraints: Minimum length of 33. Maximum length of 256.

Pattern: [a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}

Required: No

paymentConnectorId

The ID of the payment connector to use for this instrument.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

paymentInstrumentDetails

The details of the payment instrument.

Type: PaymentInstrumentDetails object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

paymentInstrumentType

The type of payment instrument being created.

Type: String

Valid Values: EMBEDDED_CRYPTO_WALLET

Required: Yes

paymentManagerArn

The ARN of the payment manager that owns this payment instrument.

Type: String

Length Constraints: Minimum length of 66. Maximum length of 2048.

Pattern: arn:(aws|aws-[a-z0-9-]+):bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:payment-manager/[a-z0-9]([a-z0-9-]{0,47}[a-z0-9])?-[a-z0-9]{10}

Required: Yes

Response Syntax

HTTP/1.1 201 Content-type: application/json { "paymentInstrument": { "createdAt": "string", "paymentConnectorId": "string", "paymentInstrumentDetails": { ... }, "paymentInstrumentId": "string", "paymentInstrumentType": "string", "paymentManagerArn": "string", "status": "string", "updatedAt": "string", "userId": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

paymentInstrument

The created payment instrument.

Type: PaymentInstrument object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The exception that occurs when you do not have sufficient permissions to perform an action. Verify that your IAM policy includes the necessary permissions for the operation you are trying to perform.

HTTP Status Code: 403

ConflictException

The exception that occurs when the request conflicts with the current state of the resource. This can happen when trying to modify a resource that is currently being modified by another request, or when trying to create a resource that already exists.

HTTP Status Code: 409

InternalServerException

The exception that occurs when the service encounters an unexpected internal error. This is a temporary condition that will resolve itself with retries. We recommend implementing exponential backoff retry logic in your application.

HTTP Status Code: 500

ServiceQuotaExceededException

The exception that occurs when the request would cause a service quota to be exceeded. Review your service quotas and either reduce your request rate or request a quota increase.

HTTP Status Code: 402

ThrottlingException

The exception that occurs when the request was denied due to request throttling. This happens when you exceed the allowed request rate for an operation. Reduce the frequency of requests or implement exponential backoff retry logic in your application.

HTTP Status Code: 429

ValidationException

The exception that occurs when the input fails to satisfy the constraints specified by the service. Check the error message for details about which input parameter is invalid and correct your request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: